﻿using System;
using System.Diagnostics;

namespace Logging
{
  class Program
  {
    static void Main(string[] args)
    {
      TextWriterTraceListener listener = new TextWriterTraceListener("trace.log");
      Trace.AutoFlush = true;
      Trace.Listeners.Add(listener);
      Trace.Listeners.Remove("Default");

      Console.WriteLine("Beispiel 3.2");

      Trace.WriteLine("Beispiel 3.2 gestartet: " + DateTime.Now.ToString());
      for (int i = 1; i < 10; i++)
      {
        Console.WriteLine(i);
        Trace.WriteLine(string.Format("Logging: Eintrag {0} mit Trace", i));
      }
      Console.ReadLine();
    }
  }
}
