﻿using System;
using System.Diagnostics;

namespace Logging
{
    class Program
    {
        static void Main(string[] args)
        {
            TextWriterTraceListener listener = new TextWriterTraceListener("trace.log");

            Trace.Listeners.Add(listener);
            Trace.Listeners.Remove("Default");
            Trace.AutoFlush = true;

            Console.WriteLine("Beispiel 4");

            BooleanSwitch traceSwitch = new BooleanSwitch("MeinSchalter", "Ablaufprotokollierung mit Schalter");

            traceSwitch.Enabled = true;

            Trace.WriteLineIf(traceSwitch.Enabled, "Beispiel 4 gestartet: " + DateTime.Now.ToString());
            for (int i = 1; i < 10; i++)
            {
                Console.WriteLine(i);
                traceSwitch.Enabled = (i % 2 == 1);
                Trace.WriteLineIf(traceSwitch.Enabled, string.Format("Logging: Eintrag {0} mit Trace", i), "Kageorie");
            }
            Console.ReadLine();
        }
    }
}
